Bug 1271392 - Create utility script or function to auto-generate cgconfig.conf file from hardware topology information
Create utility script or function to auto-generate cgconfig.conf file from ha...
Status: ASSIGNED
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: tuned (Show other bugs)
7.3
All Linux
medium Severity medium
: rc
: ---
Assigned To: Jaroslav Škarvada
qe-baseos-daemons
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-13 16:18 EDT by Jeremy Eder
Modified: 2017-10-18 10:44 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Tool to generate cgconfig.conf according to numa topology (1.94 KB, text/x-python)
2017-04-05 12:01 EDT, Jaroslav Škarvada
no flags Details
Tool to show which numa node the PCI device belongs to (2.29 KB, text/x-python)
2017-04-05 12:02 EDT, Jaroslav Škarvada
no flags Details

  None (edit)
Comment 3 Jaroslav Škarvada 2017-04-05 12:00:17 EDT
Could you check the attached scripts whether they fulfill your needs? But I am not sure whether Tuned is correct place for them. Maybe numactl is better place? Or new package like numactl-tools or numactl-utils?
Comment 4 Jaroslav Škarvada 2017-04-05 12:01 EDT
Created attachment 1269021 [details]
Tool to generate cgconfig.conf according to numa topology
Comment 5 Jaroslav Škarvada 2017-04-05 12:02 EDT
Created attachment 1269022 [details]
Tool to show which numa node the PCI device belongs to

Note You need to log in before you can comment on or make changes to this bug.